curl --request POST \
--url https://int-api.mx.com/account/check_balance \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://int-api.mx.com/account/check_balance"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Bearer <token>'}
};
fetch('https://int-api.mx.com/account/check_balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"member": {
"aggregated_at": "2016-10-13T18:07:57.000Z",
"background_aggregation_is_disabled": false,
"connection_status": "CONNECTED",
"connection_status_message": "Connected to MX Bank",
"error": {},
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
"id": "unique_id",
"institution_code": "mxbank",
"institution_guid": "INST-12345678-90ab-cdef-1234-567890abcdef",
"is_being_aggregated": false,
"is_managed_by_user": false,
"is_manual": false,
"is_oauth": false,
"metadata": "\\\"credentials_last_refreshed_at\\\": \\\"2015-10-15\\",
"most_recent_job_detail_code": null,
"most_recent_job_detail_text": null,
"most_recent_job_guid": "JOB-12345678-90ab-cdef-1234-567890abcdef",
"name": "MX Bank",
"needs_updated_credentials": false,
"oauth_window_uri": "https://mxbank.mx.com/oauth/authorize?client_id=b8OikQ4Ep3NuSUrQ13DdvFuwpNx-qqoAsJDVAQCyLkQ&redirect_uri=https%3A%2F%2Fint-app.moneydesktop.com%2Foauth%2Fredirect_from&response_type=code&scope=openid&state=d745bd4ee6f0f9c184757f574bcc2df2",
"successfully_aggregated_at": "2016-10-13T17:57:38.000Z",
"use_cases": [
"PFM"
],
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
"user_id": "u-1234"
}
}Check Real Time Account Balance (Processors Only)
Check the real-time account balance using your access token.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
MX Platform API version.
"v20250224"
Response
OK
Hide child attributes
Hide child attributes
The date and time the most recent aggregation-type job was started, given in ISO 8601 format with a time component.
A job will automatically be started when a member is created or its credentials are updated, unless the skip_aggregation parameter is used.
Jobs can also be started via manual aggregations, background aggregations, API endpoints, or when opening an MX widget.
A job can be a normal aggregation, or a premium job such as identification, verification, fetching statements, or fetching an extended transaction history.
If a member is deleted and then re-created with the skip_aggregation parameter set to true or if it is re-created within the throttle window (typically three hours), the previous value will be returned.
"2016-10-13T18:07:57.000Z"
Indicates whether background aggregation is disabled for the member.
false
The status of a user's connection to an institution. See Member Connection Status.
null, CREATED, PREVENTED, DENIED, CHALLENGED, REJECTED, LOCKED, CONNECTED, IMPEDED, RECONNECTED, DEGRADED, DISCONNECTED, DISCONTINUED, CLOSED, DELAYED, FAILED, UPDATED, DISABLED, IMPORTED, RESUMED, EXPIRED, IMPAIRED, PENDING "CONNECTED"
A human-readable message describing the connection status. See Member Connection Status.
"Connected to MX Bank"
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
The unique partner-defined identifier for the member.
"unique_id"
The code identifying a financial institution.
"mxbank"
The unique identifier for the institution. Defined by MX.
"INST-12345678-90ab-cdef-1234-567890abcdef"
Indicates whether the member was being aggregated at the time of the request.
false
Indicates whether the member is managed by the user or the MX partner. Members created with the managed member feature will have this field set to false.
false
Indicates whether the transaction was manually created or belongs to a manual account.
false
Indicates whether the member uses OAuth to authenticate. Defaults to false.
false
Additional information you stored about the member.
"\\\"credentials_last_refreshed_at\\\": \\\"2015-10-15\\"
(Deprecated) This field is no longer used and will be removed at a future date.
null
(Deprecated) This field is no longer used and will be removed at a future date.
null
The unique identifier for the most recent job. Defined by MX.
"JOB-12345678-90ab-cdef-1234-567890abcdef"
The name of the member.
"MX Bank"
Internal field used by MX in some circumstances. When set to true, MX will not attempt to aggregate the member. It will be set to false automatically when the member's credentials are updated.
false
When connecting a member using OAuth, this field will contain the URL to send the user to in order to authenticate, otherwise it will be blank.
"https://mxbank.mx.com/oauth/authorize?client_id=b8OikQ4Ep3NuSUrQ13DdvFuwpNx-qqoAsJDVAQCyLkQ&redirect_uri=https%3A%2F%2Fint-app.moneydesktop.com%2Foauth%2Fredirect_from&response_type=code&scope=openid&state=d745bd4ee6f0f9c184757f574bcc2df2"
The date and time when the member was last successfully aggregated, represented in ISO 8601 format with a timestamp.
"2016-10-13T17:57:38.000Z"
The use case associated with the member. Valid values are PFM and/or MONEY_MOVEMENT. Only set this if you've met with MX and have opted in to using this field.
MONEY_MOVEMENT, PFM ["PFM"]The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
The unique partner-defined identifier for the user.
"u-1234"

